Package org.apache.nutch.indexer

## Class IndexWriterParams

- java.lang.Object
- - java.util.AbstractMap<K,​V>
  - - java.util.HashMap<String,​String>
    - - org.apache.nutch.indexer.IndexWriterParams

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Map<String,​String>`

      public class IndexWriterParams
      extends HashMap<String,​String>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K extends Object,​V extends Object>, AbstractMap.SimpleImmutableEntry<K extends Object,​V extends Object>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K extends Object,​V extends Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IndexWriterParams​(Map<? extends String,​? extends String> m)` | Fill IndexWriterParams from map.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `get​(String name, String defaultValue)` |
    `boolean` | `getBoolean​(String name, boolean defaultValue)` |
    `int` | `getInt​(String name, int defaultValue)` |
    `long` | `getLong​(String name, long defaultValue)` |
    `String[]` | `getStrings​(String name)` |
    `String[]` | `getStrings​(String name, String... defaultValue)` |

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### IndexWriterParams

          public IndexWriterParams​(Map<? extends String,​? extends String> m)

      Fill IndexWriterParams from map.
      Parameters:
        `m` - the map to take params from
      Throws:
        `NullPointerException` - if the specified map is null

  - ### Method Detail

    - #### get

          public String get​(String name,
                            String defaultValue)

    - #### getBoolean

          public boolean getBoolean​(String name,
                                    boolean defaultValue)

    - #### getLong

          public long getLong​(String name,
                              long defaultValue)

    - #### getInt

          public int getInt​(String name,
                            int defaultValue)

    - #### getStrings

          public String[] getStrings​(String name)

    - #### getStrings

          public String[] getStrings​(String name,
                                     String... defaultValue)